- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DInput (Deprecated)
- QActionInput
- Qt 6.8.2 Reference Documentation

# QActionInput Class

class Qt3DInput::QActionInput

QActionInput stores Device and Buttons used to trigger an input event. More...

Header: | `#include <QActionInput>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3dinput)` `target_link_libraries(mytarget PRIVATE Qt6::3dinput)`
qmake: | `QT += 3dinput`
In QML: | ActionInput
Inherits: | Qt3DInput::QAbstractActionInput
Status: | Deprecated

- List of all members, including inherited members

## Properties

- buttons : QList<int>
- sourceDevice : Qt3DInput::QAbstractPhysicalDevice*

## Public Functions

| QActionInput(Qt3DCore::QNode *parent = nullptr)
QList<int> | buttons() const
Qt3DInput::QAbstractPhysicalDevice * | sourceDevice() const

## Public Slots

void | setButtons(const QList<int> &buttons)
void | setSourceDevice(Qt3DInput::QAbstractPhysicalDevice *sourceDevice)

## Signals

void | buttonsChanged(const QList<int> &buttons)
void | sourceDeviceChanged(Qt3DInput::QAbstractPhysicalDevice *sourceDevice)

## Detailed Description

## Property Documentation

### buttons : QList<int>

Holds the buttons that can trigger this Action.

Access functions:

QList<int> | buttons() const
void | setButtons(const QList<int> &buttons)

Notifier signal:

void | buttonsChanged(const QList<int> &buttons)

### sourceDevice : Qt3DInput::QAbstractPhysicalDevice*

The current source device of the QActionInput.

Access functions:

Qt3DInput::QAbstractPhysicalDevice * | sourceDevice() const
void | setSourceDevice(Qt3DInput::QAbstractPhysicalDevice *sourceDevice)

Notifier signal:

void | sourceDeviceChanged(Qt3DInput::QAbstractPhysicalDevice *sourceDevice)

## Member Function Documentation

### `[explicit]` QActionInput::QActionInput(Qt3DCore::QNode *parent = nullptr)

Constructs a new QActionInput instance with parent.

### `[signal]` void QActionInput::buttonsChanged(const QList<int> &buttons)

This signal is emitted when the buttons associated with the action input is changed. The buttons changed are buttons

Note: Notifier signal for property buttons.

### `[slot]` void QActionInput::setButtons(const QList<int> &buttons)

Set the buttons to trigger the QActionInput instance to buttons.

Note: Setter function for property buttons.

See also buttons().

### `[signal]` void QActionInput::sourceDeviceChanged(Qt3DInput::QAbstractPhysicalDevice *sourceDevice)

This signal is emitted when the source device associated with the action input is changed to sourceDevice.

Note: Notifier signal for property sourceDevice.